### Constructor

# Gimp Layer new_from_visible

#### Declaration [src]

    GimpLayer*
    gimp_layer_new_from_visible (
      GimpImage* image,
      GimpImage* dest_image,
      const gchar* name
    )

#### Description [src]

Create a new layer from what is visible in an image.

This procedure creates a new layer from what is visible in the given image. The new layer still needs to be added to the destination image, as this is not automatic. Add the new layer with the `gimp_image_insert_layer()` command. Other attributes such as layer mask modes, and offsets should be set with explicit procedure calls.

Available since: | 2.6

#### Parameters

`image` | `GimpImage`
| The source image from where the content is copied.
| The data is owned by the caller of the function.
`dest_image` | `GimpImage`
| The destination image to which to add the layer.
| The data is owned by the caller of the function.
`name` | `const gchar*`
| The layer name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GimpLayer`
| The newly created layer.
| The data is owned by the called function.